GNU/Linux Administration - Feature #741

Setup Web Browser Password Management Using KeePass on Arch
02/05/2016 10:59 AM - Daniel Curtis

Status: Closed Start date: 02/05/2016
Priority: Normal Due date:

Assignee: Daniel Curtis % Done: 100%
Category: Password Management Estimated time: 0.50 hour
Target version: Arch Linux Spent time: 1.00 hour
Description

This is a guide on how | setup KeePass with the keepasshttp plugin and chromeipass on Chrome/Chromium and passifox on Firefox.
The keepass database is synchronized to my various clients using owncloud, but that is outside the scope of this guide.

Prepare the Environment

o Make sure the system is up to date:

sudo pacman —-Syu

Install KeePass

¢ [nstall keepass:
sudo pacman —-S keepass wget
¢ Install the keepasshttp plugin:

wget https://raw.github.com/pfn/keepasshttp/master/KeePassHttp.plgx -0 /usr/share/keepass/KeeP
assHttp.plgx

e Open KeePass for the plugin to compile.
Web Browser Integration

Chrome/Chromium

e Open Chrome/Chromium and go to Menu -> More Tools -> Extentions and then click Get more extensions

e Search for ChromelPass and install the extension.

+ When the extension installs, click the ChromelPass icon and click Connect, this will bring up the keepass database connection
pairing setup.

Firefox
¢ Open Firefox and go to Menu -> Addons

e Search for "PassIFox" and install the addon, and restart Firefox when the addon finishes installing.

o After Firefox restarts, go to a website containing a login form. When the FoxIPass configuration pops up, click Connect, this will
bring up the keepass database connection pairing setup.

Resources
https://chrome.google.com/webstore/category/extensions?hl=en-US

http://keepass.info/plugins.html#keepasshttp

https://github.com/pfn/keepasshttp/
History

#1 - 02/05/2016 11:29 AM - Daniel Curtis
- Category set to Password Management
- Status changed from New to Resolved

- % Done changed from 0 to 100

#2 - 02/20/2016 07:37 PM - Daniel Curtis

- Status changed from Resolved to Closed
